#ifndef QJS_SDL_INPUT_H
#define QJS_SDL_INPUT_H

#include <quickjs.h>

const char* event_type_to_string(uint32_t event_type);
const char* mouse_button_to_string(int mouse);

// JavaScript module entry point
JSValue js_input_use(JSContext *js);

#endif // QJS_SDL_INPUT_H